import { pgTable, integer, varchar, uuid} from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const manufacturer = pgTable("manufacturer", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "manufacturer_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	uuid: uuid().defaultRandom().unique(),
    name: varchar({length:100}).notNull(),    
	...timestamps
})